require 'spec_helper'

describe 'jenkins_job_builder::client' do
  context 'on Ubuntu 12.04 (Precise)' do
    let(:facts) { { 
      :lsbdistcodename  => 'precise',
      :lsbdistrelease   => '12.04',
      :operatingsystem  => 'Ubuntu',
    } }

    it do
      should contain_file('/etc/jenkins_jobs').with({
        'ensure'  => 'directory',
        'group'   => 'root',
        'mode'    => '0644',
        'owner'   => 'root',
      })
    end

    it do
      should contain_file('/etc/jenkins_jobs/configs').with({
        'ensure'  => 'directory',
        'group'   => 'root',
        'mode'    => '0644',
        'owner'   => 'root',
      })
    end

    it do
      should contain_file('/etc/jenkins_jobs/jenkins_jobs.ini').with({
        'ensure'  => 'file',
        'group'   => 'root',
        'mode'    => '0644',
        'owner'   => 'root',
      })
    end

    it do
      should contain_package('jenkins-job-builder').with_ensure('present')
    end

    context 'latest pip package' do
      let(:params) { {
        :package => {
          'ensure'   => 'latest',
          'provider' => 'pip',
        },
      } }
      it do
        should contain_package('jenkins-job-builder').with({
          'ensure' => 'latest',
          'provider' => 'pip',
        })
      end
    end
  end
end

# vim:sw=2:ts=2:expandtab:textwidth=79
